Subject: bug#29063: C-g not quitting minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Nov 2017 10:17:21 +0200

[Please keep the bug address on the CC list.]

> From: Apocalypse Mystic <[email-masked]>
> Date: Fri, 3 Nov 2017 21:53:28 -0400
> 
> I just updated my other ubuntu system and it works fine, so I don't know that it will be easy to isolate that way.
> The one thing I do notice that is different between the two systems is that when I toggle-debug-on-quit, and
> then try to quit out of the M-x minibuffer, my broken emacs has one extra line in the debugger print out before
> everything else that is missing from the working emacs:
> 
> Debugger entered--Lisp error: (quit)
> internal-timer-start-idle()
> ...
> 
> I don't really know the emacs internals or timers that well, but might that mean something like that my C-g's
> are getting eaten by quitting out of a frequently restarting internal-timer-start-idle call? I'm not sure what calls it
> or if that helps any. It may just be normal functioning, but maybe it means something to someone who knows
> emacs better than I do. I notice it is in this description of the same issue:
> 
> https://github.com/abo-abo/swiper/issues/922
> 
> If I can provide any other information that might be helpful, just let me know.

I guess it would be interesting to know which idle timer was
interrupted by C-g in your case.